#pragma once
#include "Entity.h"
#define CS_PERECTLIGHT_CREATENAME L"CS_pe_rectlight"
//矩形光源
class CS_PeRectLight :
    public Entity
{
public:
    CS_PeRectLight();
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    void SetState(int stateID, int lr);
    std::vector<int> argbuff;
    float w = 1, h = 1;
    std::vector<PenVertex> fillList_set;
    std::vector<PenVertex> fillList_set_last;
};

std::shared_ptr<Entity> CreateCS_PeRectLight();